signature Spec_TOKENS =
sig
type ('a,'b) token
type svalue
val EOF:  'a * 'a -> (svalue,'a) token
val KBOSPECIFICATION:  'a * 'a -> (svalue,'a) token
val POLYNOMIALS:  'a * 'a -> (svalue,'a) token
val PRECEDENCE:  'a * 'a -> (svalue,'a) token
val CONJECTURES:  'a * 'a -> (svalue,'a) token
val EQUATIONS:  'a * 'a -> (svalue,'a) token
val RULES:  'a * 'a -> (svalue,'a) token
val SORTS:  'a * 'a -> (svalue,'a) token
val QUESTION:  'a * 'a -> (svalue,'a) token
val RBRACKET:  'a * 'a -> (svalue,'a) token
val LBRACKET:  'a * 'a -> (svalue,'a) token
val EQ:  'a * 'a -> (svalue,'a) token
val COM:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val PLUS:  'a * 'a -> (svalue,'a) token
val TIMES:  'a * 'a -> (svalue,'a) token
val THINARROW:  'a * 'a -> (svalue,'a) token
val COLON:  'a * 'a -> (svalue,'a) token
val SEMICOLON:  'a * 'a -> (svalue,'a) token
val ID: (string) *  'a * 'a -> (svalue,'a) token
end
signature Spec_LRVALS=
sig
structure Tokens : Spec_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
