-- | Reexport tree automata related modules.
module TA (
    module TA.Type,
    module TA.Basics,
    module TA.Det,
    module TA.Subset,
    module TA.Term,
    module TA.NormalForm,
    module TA.Witness,
    module TA.Minimize,
) where

import TA.Type
import TA.Basics
import TA.Det
import TA.Subset
import TA.Term
import TA.NormalForm
import TA.Witness
import TA.Minimize
