-- | Utility functions for triples.
module Util.Triple (
    fst3,
    snd3,
    thd3,
) where

-- | Return first element of a triple.
fst3 :: (a, b, c) -> a
fst3 (a, _, _) = a

-- | Return second element of a triple.
snd3 :: (a, b, c) -> b
snd3 (_, b, _) = b

-- | Return third element of a triple.
thd3 :: (a, b, c) -> c
thd3 (_, _, c) = c
