signature Tpdb_TOKENS =
sig
type ('a,'b) token
type svalue
val EOF:  'a * 'a -> (svalue,'a) token
val VAR:  'a * 'a -> (svalue,'a) token
val THEORY:  'a * 'a -> (svalue,'a) token
val STRATEGY:  'a * 'a -> (svalue,'a) token
val RULES:  'a * 'a -> (svalue,'a) token
val OUTERMOST:  'a * 'a -> (svalue,'a) token
val INNERMOST:  'a * 'a -> (svalue,'a) token
val EQUATIONS:  'a * 'a -> (svalue,'a) token
val CONTEXTSENSITIVE:  'a * 'a -> (svalue,'a) token
val DQUOTE:  'a * 'a -> (svalue,'a) token
val CONDITIONTYPE:  'a * 'a -> (svalue,'a) token
val COMMA:  'a * 'a -> (svalue,'a) token
val BAR:  'a * 'a -> (svalue,'a) token
val JOIN:  'a * 'a -> (svalue,'a) token
val ARROWEQ:  'a * 'a -> (svalue,'a) token
val DEQS:  'a * 'a -> (svalue,'a) token
val EQUAL:  'a * 'a -> (svalue,'a) token
val ARROW:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val ID: (string) *  'a * 'a -> (svalue,'a) token
end
signature Tpdb_LRVALS=
sig
structure Tokens : Tpdb_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
